import { InputText as PrimeInputText, InputTextProps } from 'primereact/inputtext';
import React from 'react';

interface CustomInputTextProps extends InputTextProps {}

const InputText: React.FC<CustomInputTextProps> = ({ style, className, ...inputProps }) => {
  return (
    <PrimeInputText
      {...inputProps}
      className={`w-full p-inputtext p-2 bg-white border-2 border-gray-400 rounded-md transition-colors focus:border-teal-700 ${className}`}
      style={{ ...style, fontWeight: '400' }}
    />
  );
};

export default InputText;
