export interface ChatGptResponse {
    responseText: string | object;
    errorMessage?: string;
}

export interface OpenAIResponse {
    choices: { index: number; message: { role: string; content: string } }[];
}

export interface ChatGptRequestBody {
    model: string;
    messages: { role: string; content: string }[];
    response_format?: { type: string };
}

export interface ChatGptRequestConfig {
    method: string;
    url: string;
    headers: Record<string, string>;
    data: ChatGptRequestBody;
} 